%global module_name filed

Name:           nodejs-%{module_name}
Version:        0.1.0
Release:        9%{?dist}
Summary:        Simplified file library

# No licesne text in tarball, https://github.com/mikeal/filed/issues/32
License:        ASL 2.0
URL:            https://github.com/mikeal/%{module_name}
Source0:        http://registry.npmjs.org/%{module_name}/-/%{module_name}-%{version}.tgz
Source1:        https://raw.githubusercontent.com/mikeal/filed/master/LICENSE
BuildArch:      noarch
ExclusiveArch:  %{nodejs_arches} noarch

BuildRequires:  nodejs-packaging
BuildRequires:  npm(mime)

%description
%{summary}.

%prep
%setup -q -n package
rm -rf node_modules
# copy upstream license file not yet released in tarball
cp -p %{SOURCE1} .

%build


%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{module_name}
cp -pr package.json *.js %{buildroot}%{nodejs_sitelib}/%{module_name}
%nodejs_symlink_deps


%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'

%files
%doc README.md LICENSE
%{nodejs_sitelib}/%{module_name}


%changelog
* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.0-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Thu Feb 08 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.0-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.0-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Sun Feb 12 2017 Parag Nemade <pnemade AT redhat DOT com> - 0.1.0-6
- Fix %%check section

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Thu Oct 02 2014 Parag Nemade <pnemade AT redhat DOT com> - 0.1.0-2
- Added license text

* Wed Sep 24 2014 Parag Nemade <pnemade AT redhat DOT com> - 0.1.0-1
- Initial packaging

